| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
cv::gapi::ie::detail::ParamDesc Struct Reference

`#include <opencv2/gapi/infer/ie.hpp>`

Collaboration diagram for cv::gapi::ie::detail::ParamDesc:

## Public Types
using | ConstInput = std::pair<cv::Mat, TraitAs>
enum class | Kind { Load , Import }
using | PrecisionMapT = std::unordered_map<std::string, PrecisionT>
using | PrecisionT = int
using | PrecisionVariantT

## Public Attributes
cv::optional< size_t > | batch_size
IEConfig | config
std::unordered_map< std::string, ConstInput > | const_inputs
cv::util::any | context_config
std::string | device_id
LayerVariantAttr< std::string > | input_layout
std::vector< std::string > | input_names
LayerVariantAttr< int > | interpolation
bool | is_generic
Kind | kind
std::unordered_set< std::string > | layer_names_to_reshape
InferMode | mode
std::string | model_path
size_t | nireq
std::size_t | num_in
std::size_t | num_out
LayerVariantAttr< std::string > | output_layout
std::vector< std::string > | output_names
PrecisionVariantT | output_precision
std::map< std::string, std::vector< std::size_t > > | reshape_table
cv::optional< cv::gapi::wip::onevpl::Context > | vpl_preproc_ctx
cv::optional< cv::gapi::wip::onevpl::Device > | vpl_preproc_device
std::string | weights_path

## Member Typedef Documentation

## ◆ ConstInput

using cv::gapi::ie::detail::ParamDesc::ConstInput = std::pair<cv::Mat, TraitAs>

## ◆ PrecisionMapT

using cv::gapi::ie::detail::ParamDesc::PrecisionMapT = std::unordered_map<std::string, PrecisionT>

## ◆ PrecisionT

using cv::gapi::ie::detail::ParamDesc::PrecisionT = int

## ◆ PrecisionVariantT

using cv::gapi::ie::detail::ParamDesc::PrecisionVariantT

Initial value:
cv::util::variant<cv::util::monostate,
PrecisionT,
PrecisionMapT>
cv::util::variant
Definition variant.hpp:72
cv::gapi::ie::detail::ParamDesc::PrecisionT
int PrecisionT
Definition ie.hpp:111
cv::gapi::ie::detail::ParamDesc::PrecisionMapT
std::unordered_map< std::string, PrecisionT > PrecisionMapT
Definition ie.hpp:112
cv::util::monostate
Definition variant.hpp:64

## Member Enumeration Documentation

## ◆ Kind

enum class cv::gapi::ie::detail::ParamDesc::Kind
| strong

Enumerator
Load |
Import |

## Member Data Documentation

## ◆ batch_size

cv::optional<size_t> cv::gapi::ie::detail::ParamDesc::batch_size

## ◆ config

IEConfig cv::gapi::ie::detail::ParamDesc::config

## ◆ const_inputs

std::unordered_map<std::string, ConstInput> cv::gapi::ie::detail::ParamDesc::const_inputs

## ◆ context_config

cv::util::any cv::gapi::ie::detail::ParamDesc::context_config

## ◆ device_id

std::string cv::gapi::ie::detail::ParamDesc::device_id

## ◆ input_layout

LayerVariantAttr<std::string> cv::gapi::ie::detail::ParamDesc::input_layout

## ◆ input_names

std::vector<std::string> cv::gapi::ie::detail::ParamDesc::input_names

## ◆ interpolation

LayerVariantAttr<int> cv::gapi::ie::detail::ParamDesc::interpolation

## ◆ is_generic

bool cv::gapi::ie::detail::ParamDesc::is_generic

## ◆ kind

Kind cv::gapi::ie::detail::ParamDesc::kind

## ◆ layer_names_to_reshape

std::unordered_set<std::string> cv::gapi::ie::detail::ParamDesc::layer_names_to_reshape

## ◆ mode

InferMode cv::gapi::ie::detail::ParamDesc::mode

## ◆ model_path

std::string cv::gapi::ie::detail::ParamDesc::model_path

## ◆ nireq

size_t cv::gapi::ie::detail::ParamDesc::nireq

## ◆ num_in

std::size_t cv::gapi::ie::detail::ParamDesc::num_in

## ◆ num_out

std::size_t cv::gapi::ie::detail::ParamDesc::num_out

## ◆ output_layout

LayerVariantAttr<std::string> cv::gapi::ie::detail::ParamDesc::output_layout

## ◆ output_names

std::vector<std::string> cv::gapi::ie::detail::ParamDesc::output_names

## ◆ output_precision

PrecisionVariantT cv::gapi::ie::detail::ParamDesc::output_precision

## ◆ reshape_table

std::map<std::string, std::vector<std::size_t> > cv::gapi::ie::detail::ParamDesc::reshape_table

## ◆ vpl_preproc_ctx

cv::optional<cv::gapi::wip::onevpl::Context> cv::gapi::ie::detail::ParamDesc::vpl_preproc_ctx

## ◆ vpl_preproc_device

cv::optional<cv::gapi::wip::onevpl::Device> cv::gapi::ie::detail::ParamDesc::vpl_preproc_device

## ◆ weights_path

std::string cv::gapi::ie::detail::ParamDesc::weights_path

The documentation for this struct was generated from the following file:

- opencv2/gapi/infer/ie.hpp